curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/deduction_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/deduction_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/deduction_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<id>",
"object": "deduction_type",
"data": {
"type": "charitable_donation",
"label": "Charitable donations",
"locale": "en",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "46",
"help_text": null,
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "N",
"help_text": null,
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
}
]
},
"links": {
"self": "/deduction_types/charitable_donation"
}
},
{
"id": "<id>",
"object": "deduction_type",
"data": {
"type": "garnishment_order",
"label": "Garnishment Order",
"locale": "en",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/deduction_types/garnishment_order"
}
},
{
"id": "<id>",
"object": "deduction_type",
"data": {
"type": "income_tax",
"label": "Income tax debt",
"locale": "en",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/deduction_types/income_tax"
}
},
{
"id": "<id>",
"object": "deduction_type",
"data": {
"type": "other_deduction",
"label": "Other Deduction",
"locale": "en",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/deduction_types/other_deduction"
}
},
{
"id": "<id>",
"object": "deduction_type",
"data": {
"type": "union_dues",
"label": "Union Dues",
"locale": "en",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"reduces_base"
],
"help_text": "Union Dues is deducted from taxable income before Income Tax is calculated.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "44",
"help_text": null,
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
}
]
},
"links": {
"self": "/deduction_types/union_dues"
}
},
{
"id": "<id>",
"object": "deduction_type",
"data": {
"type": "union_dues_post_tax",
"label": "Union Dues Post Tax",
"locale": "en",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/deduction_types/union_dues_post_tax"
}
}
],
"links": {
"first": "/deduction_types?features=ca&page=1",
"last": "/deduction_types?features=ca&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 6,
"has_more": false
}
}List deduction types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Country code that adds each type's payroll calculations to the response, as the features and form_mappings fields. Currently only ca is supported. See Line item type features.
CA, GB Comma-separated list of type identifiers to return.
Case-insensitive substring match against the human-readable label, in any supported locale.
Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("deduction_type").
Hide child attributes
Hide child attributes
The string identifier for this deduction type.
The human-readable display name for this deduction type.
Hide child attributes
Hide child attributes
The payroll calculation this entry describes.
eht, income_tax, insurable, pensionable, stat_payable, vacationable, wcb Human-readable name for the payroll calculation.
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
The jurisdiction this applies to (e.g. ca_federal, ca_on, ca_qc).
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, included_in_stat_holiday_pay, reduces_base, tax_credit, withholding Plain-language explanation of how this type affects the calculation in this jurisdiction.
The program that applies in this jurisdiction, for calculations that use different programs by jurisdiction (e.g. CPP federally, QPP in Quebec; EI federally, QPIP in Quebec).
Hide child attributes
Hide child attributes
The form code (e.g. t4).
Human-readable form name.
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The box or line identifier on the form.
Plain-language explanation of the box, when available.
The provinces of employment where amounts of this type are reported in this box. Most types report the same boxes in every province; a few, such as Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

